<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_kernel.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_kernel.h File Reference</h1><hr/><a name="_details"></a><h2>Introduction</h2>
<p>Implementation of Kernel object. </p>

<p><a href="vx__kernel_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__signature__t.html">tivx_signature_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The internal representation of the attributes associated with a run-time parameter.  <a href="structtivx__signature__t.html#_details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__kernel__t.html">tivx_kernel_t</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Kernel object internal state.  <a href="structtivx__kernel__t.html#_details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="vx__kernel_8h.html#aa020e2b6ed4b2b168bcfecb1f52eba86">TIVX_MAX_TARGETS_PER_KERNEL</a>&nbsp;&nbsp;&nbsp;(8u)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Maximum targets a kernel can run on.  <a href="#aa020e2b6ed4b2b168bcfecb1f52eba86"></a><br/></td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__kernel.html#gae4a8c1839a95c563eaf380bc1081027e">ownKernelGetDefaultTarget</a> (<a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get default target ID associated with this kernel.  <a href="group__group__vx__kernel.html#gae4a8c1839a95c563eaf380bc1081027e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__vx__kernel.html#ga61cbd0db4e18f3eafdb6510b4375b5c0">ownKernelGetTarget</a> (<a class="el" href="vx__types_8h.html#a3a8a8757a8cc42cdd1af41e5b8bf127a">vx_kernel</a> kernel, const char *target_string)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Match user provided target with supported targets and return target ID on which to run this kernel.  <a href="group__group__vx__kernel.html#ga61cbd0db4e18f3eafdb6510b4375b5c0"></a><br/></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="aa020e2b6ed4b2b168bcfecb1f52eba86"></a><!-- doxytag: member="vx_kernel.h::TIVX_MAX_TARGETS_PER_KERNEL" ref="aa020e2b6ed4b2b168bcfecb1f52eba86" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TIVX_MAX_TARGETS_PER_KERNEL&nbsp;&nbsp;&nbsp;(8u)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Maximum targets a kernel can run on. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
